<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [api](./iceshrimp-js.api.md) &gt; [APIError](./iceshrimp-js.api.apierror.md)

## api.APIError type

**Signature:**

```typescript
export declare type APIError = {
	id: string;
	code: string;
	message: string;
	kind: "client" | "server";
	info: Record<string, any>;
};
```
